
TOOL.Category		= "RagMorph"
TOOL.Name			= "#Set Rag Morph"
TOOL.Command		= nil
TOOL.ConfigName		= ""




if CLIENT then

	
	language.Add( "Tool_setragmorph_name", "Set Morph" )
	language.Add( "Tool_setragmorph_desc", "Choose a ragdoll you want to use" )
	language.Add( "Tool_setragmorph_0", "Primary fire: Select \n Secondary fire: Select default rag morph model \nReload: Override" )
	
	
end

function TOOL:LeftClick( trace )

	if ( trace.Entity && trace.Entity:IsPlayer() ) then return false end
	if !string.find( trace.Entity:GetClass( ), "prop_ragdoll" ) then return false end
	if (CLIENT) then return true end
	
	local ply = self:GetOwner()
	local boneNum = trace.Entity:GetPhysicsObjectCount()
	

	if boneNum != 15 then
		ply:PrintMessage( HUD_PRINTTALK, "Bone numbers don't match!")
		return false
	end
	
	if trace.Entity:IsValid()  then
	
		if ply.WobbleManTagDoll && ply.WobbleManTagDoll != NULL  then
			ply.WobbleManTagDoll:Remove()
		end
	
		ply.WobbleManTagDoll = trace.Entity
		ply:SetNetworkedBool("HasWobbleMan",true)
		ply:SetNetworkedEntity( "WobbleManEnt", trace.Entity )
		ply.WobbleManTagDoll.sleep = true
		ply:SetNetworkedBool("WobbleManThirdPerson",true)		

		
		if !ply.WobbleManBones then
			ply.WobbleManBones = {"1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00"}
		end
		
		if !ply.WobbleManHideWeapon then
			ply.WobbleManHideWeapon = "1.00"
		end
		
		if !ply.WobbleManHideViewWeapon then
			ply.WobbleManHideViewWeapon = "1.00"
		end
		
		if !ply.WobbleManRagdollEffectsPly then
			ply.WobbleManRagdollEffectsPly = "0.00"
		end	
		
		return true

	end
	return true

end

function TOOL:RightClick( trace )

	local ply = self:GetOwner()
	ply.defaultMorphModel = NULL
	
	if ( trace.Entity && trace.Entity:IsPlayer() || !string.find( trace.Entity:GetClass( ), "prop_ragdoll" )) then 
		ply:PrintMessage( HUD_PRINTTALK, "Removed default rag morph model")
		return false 
	end

	if (CLIENT) then return true end
	

	local boneNum = trace.Entity:GetPhysicsObjectCount()
	
	
	if boneNum != 15 then
		ply:PrintMessage( HUD_PRINTTALK, "Bone numbers don't match!")
		return false
	end
	
	if trace.Entity:IsValid()  then
		ply.defaultMorphModel = trace.Entity:GetModel()
	end
	
	
	return true
end

function TOOL:Reload(trace)

	if ( trace.Entity && trace.Entity:IsPlayer() ) then return false end
	if !string.find( trace.Entity:GetClass( ), "prop_ragdoll" ) then return false end
	if (CLIENT) then return true end
	
	local ply = self:GetOwner()
	--local boneNum = trace.Entity:GetPhysicsObjectNum( i ) 
	
	--OVERRIDE! we just don't check if the bones match
	--if boneNum != 15 then
	--	ply:PrintMessage( HUD_PRINTTALK, "Bone numbers don't match!")
	--	return false
	--end
	
	if trace.Entity:IsValid() then
		
		if ply.WobbleManTagDoll && ply.WobbleManTagDoll != NULL  then
			ply.WobbleManTagDoll:Remove()
		end
		
		ply.WobbleManTagDoll = trace.Entity
		ply:SetNetworkedBool("HasWobbleMan",true)
		ply:SetNetworkedEntity( "WobbleManEnt", trace.Entity )
		ply.WobbleManTagDoll.sleep = true
		ply:SetNetworkedBool("WobbleManThirdPerson",true)
		
		if !ply.WobbleManBones then
			ply.WobbleManBones = {"1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00","1.00"}
		end
		
		if !ply.WobbleManHideWeapon then
			ply.WobbleManHideWeapon = "1.00"
		end
		
		if !ply.WobbleManHideViewWeapon then
			ply.WobbleManHideViewWeapon = "1.00"
		end		
		
		if !ply.WobbleManRagdollEffectsPly then
			ply.WobbleManRagdollEffectsPly = "0.00"
		end		
		
		return true

	end
	return true

end

function TOOL.BuildCPanel( CPanel )
CPanel:AddControl( "Label", { Text = "Don't recommend using this tool since it's pretty buggy.", Description = "" } )	
CPanel:AddControl( "Label", { Text = "Change your playermodel instead!", Description = "" } )	
end

